- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# QImageReader Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qimagereader.h.

`#include <qimagereader.h>`

List of all members.

## Public Types
enum | ImageReaderError { UnknownError, FileNotFoundError, DeviceError, UnsupportedFormatError, InvalidDataError }
## Public Member Functions
| QImageReader ()
| QImageReader (QIODevice *device, const QByteArray &format=QByteArray())
| QImageReader (const QString &fileName, const QByteArray &format=QByteArray())
| ~QImageReader ()
void | setFormat (const QByteArray &format)
QByteArray | format () const
void | setAutoDetectImageFormat (bool enabled)
bool | autoDetectImageFormat () const
void | setDecideFormatFromContent (bool ignored)
bool | decideFormatFromContent () const
void | setDevice (QIODevice *device)
QIODevice * | device () const
void | setFileName (const QString &fileName)
QString | fileName () const
QSize | size () const
QImage::Format | imageFormat () const
QStringList | textKeys () const
QString | text (const QString &key) const
void | setClipRect (const QRect &rect)
QRect | clipRect () const
void | setScaledSize (const QSize &size)
QSize | scaledSize () const
void | setQuality (int quality)
int | quality () const
void | setScaledClipRect (const QRect &rect)
QRect | scaledClipRect () const
void | setBackgroundColor (const QColor &color)
QColor | backgroundColor () const
bool | supportsAnimation () const
bool | canRead () const
QImage | read ()
bool | read (QImage *image)
bool | jumpToNextImage ()
bool | jumpToImage (int imageNumber)
int | loopCount () const
int | imageCount () const
int | nextImageDelay () const
int | currentImageNumber () const
QRect | currentImageRect () const
ImageReaderError | error () const
QString | errorString () const
bool | supportsOption (QImageIOHandler::ImageOption option) const
## Static Public Member Functions
static QByteArray | imageFormat (const QString &fileName)
static QByteArray | imageFormat (QIODevice *device)
static QList< QByteArray > | supportedImageFormats ()

## Member Enumeration Documentation

enum ImageReaderError

Search for all occurrences

Enumerator:

  UnknownError | Search for all occurrences
  FileNotFoundError | Search for all occurrences
  DeviceError | Search for all occurrences
  UnsupportedFormatError | Search for all occurrences
  InvalidDataError | Search for all occurrences

Definition at line 65 of file qimagereader.h.

                              {
            UnknownError,
            FileNotFoundError,
            DeviceError,
            UnsupportedFormatError,
            InvalidDataError
        };

## Constructor & Destructor Documentation

QImageReader | ( |  | ) |

QImageReader | ( | QIODevice * | device,
|  | const QByteArray & | format = `QByteArray()`
| ) |  | `[explicit]`

QImageReader | ( | const QString & | fileName,
|  | const QByteArray & | format = `QByteArray()`
| ) |  | `[explicit]`

~QImageReader | ( |  | ) |

## Member Function Documentation

void setFormat | ( | const QByteArray & | format | ) |

Search for all occurrences

QByteArray format | ( |  | ) | const

Search for all occurrences

void setAutoDetectImageFormat | ( | bool | enabled | ) |

Search for all occurrences

bool autoDetectImageFormat | ( |  | ) | const

Search for all occurrences

void setDecideFormatFromContent | ( | bool | ignored | ) |

Search for all occurrences

bool decideFormatFromContent | ( |  | ) | const

Search for all occurrences

void setDevice | ( | QIODevice * | device | ) |

Search for all occurrences

QIODevice* device | ( |  | ) | const

Search for all occurrences

void setFileName | ( | const QString & | fileName | ) |

Search for all occurrences

QString fileName | ( |  | ) | const

Search for all occurrences

QSize size | ( |  | ) | const

Search for all occurrences

QImage::Format imageFormat | ( |  | ) | const

Search for all occurrences

QStringList textKeys | ( |  | ) | const

Search for all occurrences

QString text | ( | const QString & | key | ) | const

Search for all occurrences

void setClipRect | ( | const QRect & | rect | ) |

Search for all occurrences

QRect clipRect | ( |  | ) | const

Search for all occurrences

void setScaledSize | ( | const QSize & | size | ) |

Search for all occurrences

QSize scaledSize | ( |  | ) | const

Search for all occurrences

void setQuality | ( | int | quality | ) |

Search for all occurrences

int quality | ( |  | ) | const

Search for all occurrences

void setScaledClipRect | ( | const QRect & | rect | ) |

Search for all occurrences

QRect scaledClipRect | ( |  | ) | const

Search for all occurrences

void setBackgroundColor | ( | const QColor & | color | ) |

Search for all occurrences

QColor backgroundColor | ( |  | ) | const

Search for all occurrences

bool supportsAnimation | ( |  | ) | const

Search for all occurrences

bool canRead | ( |  | ) | const

Search for all occurrences

QImage read | ( |  | ) |

Search for all occurrences

bool read | ( | QImage * | image | ) |

Search for all occurrences

bool jumpToNextImage | ( |  | ) |

Search for all occurrences

bool jumpToImage | ( | int | imageNumber | ) |

Search for all occurrences

int loopCount | ( |  | ) | const

Search for all occurrences

int imageCount | ( |  | ) | const

Search for all occurrences

int nextImageDelay | ( |  | ) | const

Search for all occurrences

int currentImageNumber | ( |  | ) | const

Search for all occurrences

QRect currentImageRect | ( |  | ) | const

Search for all occurrences

ImageReaderError error | ( |  | ) | const

Search for all occurrences

QString errorString | ( |  | ) | const

Search for all occurrences

bool supportsOption | ( | QImageIOHandler::ImageOption | option | ) | const

Search for all occurrences

static QByteArray imageFormat | ( | const QString & | fileName | ) | `[static]`

Search for all occurrences

static QByteArray imageFormat | ( | QIODevice * | device | ) | `[static]`

Search for all occurrences

static QList<QByteArray> supportedImageFormats | ( |  | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qimagereader.h

QImageReader QImageReader QImageReader QImageReader QImageReader QImageReader QImageReader QImageReader QImageReader QImageReader
QImageReader QImageReader QImageReader QImageReader QImageReader QImageReader QImageReader QImageReader QImageReader QImageReader